swagger: '2.0'
info:
  version: 0.0.1
  title: ows-artist API Spec
  description: ''
host: qa-ows-artist.theorchard.io
tags:
- name: health
  description: Healthcheck
- name: artists
  description: Artists related endpoints

paths:
  /hello:
    get:
      tags:
      - health
      description: Check the health of the application.
      responses:
        200:
          description: 200 OK
          examples:
            application/json:
              status: ok
  /artist/{artist_id}/document:
    get:
      tags:
      - artists
      description: Verify a product is owned by a vendor.
      parameters:
      - name: artist_id
        in: path
        required: true
        type: string
      - name: Correlation-Id
        description: UUID
        in: header
        required: false
        type: string
      - name: Grass-Account-Type
        in: header
        description: Grass account type.
        enum: ["vendor", "subaccount"]
        type: string
        required: false
      - name: Grass-Account-Id
        in: header
        description: Grass account id.
        pattern: ^\d+$
        type: string
        required: false
      responses:
        200:
          description: |
            HTTP 200 OK.
            ---------------
            JSON object containing an artist detailsfrom the artist_info table.
          headers:
            Correlation-Id:
              type: string
              description: UUID to correlate logs (echoes back correlation_id from request header).
          examples:
            application/json:
                artist_id: 12345
                name: "BTS"
                vendor_id: 1
                subaccount_id: [1234,321]
        400:
          description: Request parameter/header validation failure.
        403:
          description: Artist not owned by account or not authorized to artist details.
        404:
          description: Could not find artist with artist_id.
